import { Trie } from '@kamilmielnik/trie';
import { type Locale } from '@scrabble-solver/types';
import type { Cache } from '../types';
export declare class DiskCache implements Cache<Locale, Trie> {
    get(locale: Locale): Promise<Trie | undefined>;
    getLastModifiedTimestamp(locale: Locale): number | undefined;
    has(locale: Locale): boolean;
    isStale(locale: Locale): boolean | undefined;
    set(locale: Locale, trie: Trie): Promise<void>;
}
